function loadSettings()
{
	System.Gadget.onSettingsClosing = settingsClosing;
	var updateTime = System.Gadget.Settings.read("updateTime");
	if(updateTime == '') updateTime = 5;
	$('#updateTime').val(updateTime);
	var updateTimeManual = System.Gadget.Settings.read("updateTimeManual");
	if(updateTimeManual == 1){
		$('#updateTime').attr('disabled', 'disabled');
		$('#updateTimeManual').attr('checked', 'checked');
	}
	var rssTotals = System.Gadget.Settings.read("rssTotals");
	if(rssTotals == ''){
		rssTotals = 20;
	}
	$("#rssTotals option").each(function () {
        if($(this).val() == rssTotals) $(this).attr('selected','selected');
    });
	jQuery.getScript('http://wffw.info/gadget-rss.php?getcats=1',function(){
		$('#rssCategories').empty();
		if(typeof data !='undefined'){
			var rssCategories = System.Gadget.Settings.read("rssCategories").toString();
			if(rssCategories.indexOf(":")>-1){
				rssCategories = rssCategories.split(":");
			}else{
				rssCategories = [rssCategories];
			}
			jQuery.each(data,function(){
				$('#rssCategories').append(jQuery('<option></option>').attr({"value":this["id"]}).text(this["name"]));
			})
			$('#rssCategories').attr({"disabled":""});
			for(var i in rssCategories){
				$('#rssCategories option[value="' + rssCategories[i] + '"]').attr({"selected":"selected"});
			}
		}else{
			$('#rssCategories').append(jQuery('<option></option>').attr({"value":"0"}).text(strings.noConnect));
		}
	});
}

function isArray(v) {
    return Object.prototype.toString.apply(v) === '[object Array]';
}

function settingsClosing(event) {
	var error = 0;
	if (event.closeAction == event.Action.commit) {
		//   
		$('.error').removeClass('error');
		var updateTimeManual = $('#updateTimeManual').attr('checked')?'1':'0';
		if(updateTimeManual == 0){
			var updateTime =  parseInt($('#updateTime').val());
			if(isNaN(updateTime) || updateTime < 1) {
			  //  backgroundOpacity    1
			  //    
			  error = 1;
			  //  
			  $('#updateTime').parent().addClass('error');
			}
		}
		var rssTotals =  parseInt($('#rssTotals').val());
		var rssCategories =  $('#rssCategories').val();
		if(!isArray(rssCategories) || rssCategories.length < 1 || rssCategories == '0'){
			error = 1;
			$('#rssCategories').parent().addClass('error');
		}else{
			rssCategories = rssCategories.join(':');
		}
		//      
		if(!error) { 
		  if(updateTimeManual == 0) System.Gadget.Settings.writeString('updateTime', updateTime);
		  System.Gadget.Settings.writeString('updateTimeManual', updateTimeManual);
		  System.Gadget.Settings.writeString('rssTotals', rssTotals);
		  System.Gadget.Settings.writeString('rssCategories', rssCategories);
		}else{
			setTimeout(function(){ $('.error').removeClass('error'); }, 2000);
		}
		if(error) event.cancel = true;;
	}
}

function updateTimeManualCheck(){
	var updateTimeManual = $('#updateTimeManual').attr('checked')?'1':'0';
	if(updateTimeManual == 1){
		$('#updateTime').attr('disabled', 'disabled');
	}else{
		$('#updateTime').attr('disabled', '');
	}
}