var curId = 0;
var Timer = '';

function setPosition(newPosition){
	var position =  Math.round( newPosition );
	var maxPos = $("#gadgetContent").height() - $("#posts").height();
	if(maxPos < 0){
		if(position > 0) position = 0;
		if(position < maxPos) position = $("#gadgetContent").height() - $("#posts").height();
	}else{
		position = 0;
	}
	document.getElementById("posts").style.top = Math.round( position ) + "px";
	return false;
}

function blockEvent(event){
	if (!event)
	{
		event = window.event;
	}
	if(event.stopPropagation) event.stopPropagation();
	else event.cancelBubble = true;
	if(event.preventDefault) event.preventDefault();
	else event.returnValue = false;
}

function wheel(event){
	// ,     
	var wheelDelta = 0;
	
	//    
	var step = 30;
	if (!event) 
	{
		event = window.event;
	}
	if (event.wheelDelta) 
	{
		//  IE  Opera       event.wheelDelta   120
		//         .
		wheelDelta = event.wheelDelta/120;
	}
	//    wheelDelta > 0
	//    - wheelDelta < 0
	if (wheelDelta)
	{
		var currentPosition = parseInt($("#posts").offset().top);               
		var newPosition = wheelDelta*step + currentPosition;
		setPosition(newPosition); 
	}
	
	//   (   )
	if (event.preventDefault)
	{
		event.preventDefault();
	}
	event.returnValue = false;
	blockEvent(event);
}


function dockStateChanged() {
  if (System.Gadget.docked) {
    $('#main').addClass('docked').removeClass('unDocked').css('width', '130px').css('height', '140px');
    $('#background').css('width', '130px')
                    .css('height', '140px')
                    .attr('src', './img/dockedBg.png');
  } else {
	$('#main').addClass('unDocked').removeClass('docked').css('width', '450px').css('height', '250px');
    $('#background').css('width', '450px')
                    .css('height', '250px')
                    .attr('src', './img/undockedBg.png');
  }
  document.getElementById("posts").style.top = "0";
}

function onFlyoutShow() {
  
  try {
    var fd = System.Gadget.Flyout.document;
	if (System.Gadget.docked) {
		var imgSt = 'img/dockedSt.png';
	}else{
		var imgSt = 'img/unDockedSt.png';
	}
    fd.getElementById('header').innerHTML = wp_posts[curId].title;
    fd.getElementById('text').innerHTML = '<div><a href="'+wp_posts[curId].link+'">' + strings.follow + '</a></div>' + '<a href="'+wp_posts[curId].link+'"><img id="storyImg" src="'+imgSt+'" alt="wffw.info" /></a>' + wp_posts[curId].text + '<div><a href="'+wp_posts[curId].link+'">' + strings.follow + '</a></div>';
  } catch (e) {
 
  }
}

function onFlyoutHide() {
	$(".current").removeClass("current");
	curId = 0;
}

function initFlyout() {
  //   
  System.Gadget.Flyout.file = 'flyout.html';
  System.Gadget.Flyout.onShow = onFlyoutShow;
  System.Gadget.Flyout.onHide = onFlyoutHide;
 
  $('#toggle-flyout').text(strings.showFlyout);

  //    
}

function showManButton(){
	$("#ManButton").text(strings.update);
}

function reloadPosts(){
	var rssCategories = System.Gadget.Settings.read("rssCategories").toString();
	var rssTotals = System.Gadget.Settings.read("rssTotals");
	var updateTimeManual = System.Gadget.Settings.read("updateTimeManual");
	if(rssCategories == '' || rssTotals == ''){
		$('#posts').append(jQuery('<li></li>').text(strings.firstOption));
	}else{
		jQuery.getScript('http://wffw.info/gadget-rss.php?cats='+rssCategories+'&numposts='+rssTotals,function(){
			if(typeof wp_posts !='undefined'){
				$('#posts').empty();
				var i = 1;
				var forNotSnd = [];
				var curRead = System.Gadget.Settings.read("curRead").toString().split(':');
				jQuery.each(wp_posts, function(){
					$('#posts').append(jQuery('<li></li>').text(i + ". " + this["title"]).addClass("post new").attr({"id":this["id"]}));
					forNotSnd.push(this["id"]);
					$("#" + this["id"]).get(0).onclick = function() {
						var curRead = System.Gadget.Settings.read("curRead").toString().split(':');
						if (System.Gadget.Flyout.show){
							$(".current").removeClass("current");
							if(this["id"] == curId){
								System.Gadget.Flyout.show = false;
								curId = 0;
							}else{
								curId = this["id"];
								if($(this).is('.new')){
									$(this).removeClass("new");
									curRead.push(this["id"]);
									if(curRead.length > rssTotals){
										curRead.splice(0,1);
									}
									System.Gadget.Settings.writeString('curRead', curRead.join(':'));
								}
								$(this).addClass("current");
								onFlyoutShow();
							}
						}else{
							curId = this["id"];
							if($(this).is('.new')){
								$(this).removeClass("new");
								curRead.push(this["id"]);
								if(curRead.length > rssTotals){
									curRead.splice(0,1);
								}
								System.Gadget.Settings.writeString('curRead', curRead.join(':'));
							}
							$(this).addClass("current");
							System.Gadget.Flyout.show = true;
						}
						return false;
					}
					i++;
				});
				for(var j in curRead){
					$("#" + curRead[j]).removeClass("new");
				}
				if(curId != 0){
					$("#" + curId).addClass("current");
				}
				forNotSnd = forNotSnd.join(':');
				if(forNotSnd != System.Gadget.Settings.read("forNotSnd").toString()){
					System.Sound.playSound("sound/chimes.wav");
				}
				if(forNotSnd != ''){
					System.Gadget.Settings.writeString('forNotSnd', forNotSnd);
				}
			}
		});
		if(updateTimeManual == 1){
			showManButton();
		}else{
			$("#ManButton").text("");
			var updateTime = System.Gadget.Settings.read("updateTime");
			if(Timer == ''){
				Timer = setInterval(function(){reloadPosts();},parseInt(updateTime)*60000)
			}
		}
		setPosition(parseInt($("#posts").offset().top));
	}
}

function init(){
	//var background = $('#background').get(0);
	//background.src = "url('./img/dockedBg.png')";
	//background.addShadow("black", 20, 80, 5, 5);
	//var text = background.addTextObject('rotation', 'Arial', 25, 'white', 10, 10);
	//var image = background.addImageObject('images/arrow.png', 10, 10);
	dockStateChanged();
	System.Gadget.onUndock = dockStateChanged;
	System.Gadget.onDock = dockStateChanged;
	document.getElementById("posts").onmousewheel = wheel;
	$("#ManButton").get(0).onclick = function(){
		System.Gadget.Flyout.show = false;
		reloadPosts();
		return false;
	}
	initFlyout();
	System.Gadget.Settings.write("PrivateSetting_GadgetOpacity", 80);
	reloadPosts();
	System.Gadget.settingsUI = 'settings.html';
	System.Gadget.onSettingsClosed = function(event){
		if(Timer != ''){
			clearInterval(Timer);
			Timer = '';
		}
		reloadPosts();
	}
	$("#allRead").text(strings.allRead);
	$("#allRead").get(0).onclick = function(){
		System.Gadget.Flyout.show = false;
		var curRead = [];
		$("#posts li").each(function(){
			curRead.push(this["id"]);
		});
		System.Gadget.Settings.writeString('curRead', curRead.join(':'));
		$(".new").removeClass("new");
		return false;
	}	
}